%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define pkg     spf2


Summary:        The Sender Policy Framework (SPF) library
Name:           lib%{pkg}
Version:        1.2.10
Release:        1%{?dist}%{?pext}
License:        BSD/LGPL
Group:          System Environment/Libraries
Source0:        http://www.%{name}.org/spf/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.2.9-localpolicy.patch
URL:            http://www.%{name}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         Wayne Schlitt <wayne@midwestcs.com>
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(String::Escape)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00

%description
Libspf2 implements the Sender Policy Framework, a part of the SPF/SRS
protocol pair. It is a library which allows email systems such as
Sendmail, Postfix, Exim, Zmailer and MS Exchange to check SPF records
and make sure that the email is authorized by the domain name that it
is coming from. This prevents email forgery, commonly used by spammers,
scammers and email worms.


%package        devel
Summary:        Development tools for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the libraries and header files for
developing software using %{name}.


%package        prog
Summary:        Related programs for %{name}
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{pkg}-progs < %{version}-%{release}
Obsoletes:      %{name}-progs < %{version}-%{release}

%description    prog
The %{name}-prog package contains programs for making SPF queries.


%package        static
Summary:        Static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description    static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%package     -n perl-%{pkg}
Summary:        Perl bindings for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       perl(:MODULE_COMPAT_%{perl_version})

%description -n perl-%{pkg}
The perl-%{pkg} package contains the Perl bindings for %{name}.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
# __ns_get16 is GLIBC private
export ac_cv_func___ns_get16="no"

%configure \
	--enable-shared \
	--enable-static

%{__make} #%{?_smp_mflags}

# Build Perl bindings
pushd perl
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} #%{?_smp_mflags}
popd


%check
export LD_LIBRARY_PATH=%{_builddir}/%{name}-%{version}/src/%{name}/.libs

pushd perl
%{__make} test
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_bindir}/*_static
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?

# Install Perl bindings
pushd perl
%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install
popd

find ${RPM_BUILD_ROOT} -type f -name "perl*.pod"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL LICENSES README TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{pkg}
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so

%files prog
%defattr(-,root,root)
%{_bindir}/spf_example
%{_bindir}/spfd
%{_bindir}/spfquery
%{_bindir}/spftest

%files static
%defattr(-,root,root)
%{_libdir}/%{name}.a

%files -n perl-%{pkg}
%defattr(-,root,root)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Mail
%{_mandir}/man3/*.3*


%changelog
* Wed Oct 09 2013 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.10-1
- New version (1.2.10)

* Fri May 17 2013 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.9-3
- Splitted static libraries from devel package

* Wed Apr 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.9-2
- Added fix for local-policy handling

* Thu Jan 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.9-1
- New version (1.2.9)

* Fri Mar 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.5-4
- Rewritten for buildsystem

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.2.5-3
- some spec file cleanups (x86_64 support)

* Tue May 23 2006 peter.pramberger@member.fsf.org
- created
